Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::logical_negate< FD > Struct Template Reference
Functional

## Public Member Functions
template<typename T >
constexpr | logical_negate (T &&pred)
template<typename... Args>
constexpr bool | operator() (Args &&... args) &
template<typename... Args>
constexpr bool | operator() (Args &&... args) &&
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename... Args>
constexpr bool | operator() (Args &&... args) const &
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename FD >
template<typename... Args>

constexpr bool ranges::logical_negate< FD >::operator() | ( | Args &&... | args | ) | &
| constexpr

Precondition
  requires `predicate<FD &, Args...>`

## ◆ operator()() [2/3]

template<typename FD >
template<typename... Args>

constexpr bool ranges::logical_negate< FD >::operator() | ( | Args &&... | args | ) | &&
| constexpr

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Precondition
  requires `predicate<FD, Args...>`

## ◆ operator()() [3/3]

template<typename FD >
template<typename... Args>

constexpr bool ranges::logical_negate< FD >::operator() | ( | Args &&... | args | ) | const &
| constexpr

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Precondition
  requires `predicate<FD const &, Args...>`

## Constructor & Destructor Documentation

## ◆ logical_negate()

template<typename FD >
template<typename T >

constexpr ranges::logical_negate< FD >::logical_negate | ( | T && | pred | ) |
| explicit constexpr

Precondition
  requires `(!same_as<detail::decay_t<T>, logical_negate>) && constructible_from<FD, T>`